cayenne-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From John Armstrong <siber...@gmail.com>
Subject Re: Cayenne and SqlLite, Cayenne 3.0 vs. 2.0
Date Fri, 16 Oct 2009 21:21:27 GMT
I use Derby for this. Its embedded. Its java. It works exceptionally well.

John-

On Fri, Oct 16, 2009 at 2:09 PM, Eric Lazarus <ericllazarus@yahoo.com> wrote:
> Folks
>
> Are people building new systems on Cayenne 3.0 or 2.0, mostly? What is recommended? (We
have been deeply back versioned, successfully using 1.1 for many years.)
>
> I am about to release a threat modeling tool as an open source desktop system and I would
like to have it save its data to a local, very low maintanane database. I was thinking SqlLite.
Is it practical for me to save/retieve my objects to SqlLite via Cayenne? It seems that Sqlite
is supported only in 3.0 not in 2.0.6. How stable is the current release 3.0M6?
>
> Is it possible or desireable to add the sqlite package from 3.0 to the 2.0 system?
>
> Is there another database that is so low maintance that I could consider using it as
a personal data store for a desktop app that IS well supported by Cayenne in 2.0, if 2.0 is
recommended for current development/depolyment?
>
> Thanks!
>
> Eric
>
>
>
>

Mime
View raw message